/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

/**
 * 外语信息Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffLanguages extends DataEntity<WorkStaffLanguages> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 员工ID
	private String language;		// 语种
	private String proficiency;		// 熟练程度
	private String certificate;		// 证书名称
	private Date certifDate;		// 获证日期
	private String filePath;		// 文件
	private String fileName;		// 文件名
    private MultipartFile file;

	public WorkStaffLanguages() {
		super();
	}

	public WorkStaffLanguages(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="语种", align=2, sort=8)
	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}
	
	@ExcelField(title="熟练程度", align=2, sort=9)
	public String getProficiency() {
		return proficiency;
	}

	public void setProficiency(String proficiency) {
		this.proficiency = proficiency;
	}
	
	@ExcelField(title="证书名称", align=2, sort=10)
	public String getCertificate() {
		return certificate;
	}

	public void setCertificate(String certificate) {
		this.certificate = certificate;
	}
	
	@ExcelField(title="获证日期", align=2, sort=11)
	public Date getCertifDate() {
		return certifDate;
	}

	public void setCertifDate(Date certifDate) {
		this.certifDate = certifDate;
	}
	
	@ExcelField(title="文件", align=2, sort=12)
	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
}